Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Class EbXML_2_1SubmissionSetExtractor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.extract.EbXML_2_1SubmissionSetExtractor

All Implemented Interfaces:
  SubmissionSetExtractor

    public class EbXML_2_1SubmissionSetExtractor

extends java.lang.Object
implements SubmissionSetExtractor

Class containing utility methods to extract XDS submission set metadata from ebRIM 2.1 element.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Extractor

Constructor Summary
`EbXML_2_1SubmissionSetExtractor(RegistryPackageType setData, AssociationType1[] documentsInSubmissionSet, AssociationType1[] foldersInSubmissionSet)` Loads the ebXML structures containing Submission Set metadata.

Method Summary
`SubmissionSetType` | `extract()` Builds an SubmissionSetType containing XDSSubmissionSet metadata within the RegistryPackage provided.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Extractor

  See Also:
    Constant Field Values

Constructor Detail

### EbXML_2_1SubmissionSetExtractor

    public EbXML_2_1SubmissionSetExtractor(RegistryPackageType setData,
                                           AssociationType1[] documentsInSubmissionSet,
                                           AssociationType1[] foldersInSubmissionSet)

  Loads the ebXML structures containing Submission Set metadata. UUIDs for classificationSchemes, identificationSchemes, objectTypes and associationTypes are expected to conform to those fixed by XDS documentataion.

  Parameters:
    `setData` - the Registry pacakage with submission set metadata, cannot be null.
    `documentsInSubmissionSet` - list of AssociationType1 objects each representing a link between the submission set and documents to be placed in it, may be null.
    `foldersInSubmissionSet` - list of AssociationType1 objects each representing a link between the submission set and folders to be placed in it, may be null.
  See Also:
    `UUIDs`

Method Detail

### extract

    public SubmissionSetType extract()
                              throws MetadataExtractionException

  Builds an SubmissionSetType containing XDSSubmissionSet metadata within the RegistryPackage provided. Only the first non-null nested Classification will be taken to be the contentTypeCode for this submission set. Construction assumes that standard HL7 V2.5 message delimiters are used. See `MessageDelimiters`. Length restrictions are not emented, presently.

  Specified by:
    `extract` in interface `SubmissionSetExtractor`
  Returns:
    SubmissionSetType object populated with metadata from parameter.
  Throws:
    `MetadataExtractionException`
  See Also:
    `SubmissionSetExtractor.extract()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD